登录 注册

登录

问题 如何使用 Fireboard 1.01 的中文語言包

更多
2007年08月20日 10:58 #1 作者: cheetah
各位 Joomla 的先進大家好,

目前我在我的 Joomla 中文網站上安裝了英文版的 Fireboard 1.01 英文版, 後來我在貴站找到了 Fireboard 的中文語言包. 但我不知道該如何使用此中文語言包,以便讓我的Fireboard 變成中文介面. 煩請解答. 謝謝.

登录 或者   注册一个会员帐号 来参与讨论

更多
2007年08月20日 22:03 #2 作者: Joomla之门
本站应该是直接发布了 FireBoard 中文版 ,而不是单独的语言包。

当然你可以从本站的中文版之中提取中文语言包,覆盖到 language 目录。

如果还是不明白怎么做,可以用下面的方法:

1、备份整个网站web空间和数据库;

2、卸载原来的 FireBoard 英文版(保留数据库),然后安装本站的中文版。

付费下载 Joomla 3 扩展汉化版: 我要付费支持 Joomla 之门!

登录 或者   注册一个会员帐号 来参与讨论

更多
2007年08月20日 22:11 #3 作者: cheetah
站長,非常感謝您的回覆,這裏好多問題都是您在回覆. 您真的好忙. 謝謝 :D

登录 或者   注册一个会员帐号 来参与讨论

更多
2007年12月10日 06:15 - 2007年12月10日 06:29 #4 作者: wzheng1982
为什么我安装了之后是乱码呢?我用的是joomla英文版,但是装了汉化包。安装完fireboard之后,全是乱码。多谢帮助,。
最后修改: 2007年12月10日 06:29 由 xsidesign.

登录 或者   注册一个会员帐号 来参与讨论

更多
2007年12月11日 12:59 #5 作者: xwenyi
为何装好以后还是英文界面?在哪里可以切换语言?我用的是Joomla的英文官方版(已修改支持utf-8)。

登录 或者   注册一个会员帐号 来参与讨论

更多
2007年12月11日 13:31 #6 作者: xwenyi
自己搞定了,方法如下:
1)先安装中文语言包,然后打开/components/com_fireboard/class.fireboard.php
2)把第114行的$mainframe->getCfg('lang') 改成 'simplified_chinese'.这样前台就变成中文了。虽然后台还是英文,不过这已经不重要了。
此法适合那些仅安装了官方英文版同时修改支持了utf-8的站点。

登录 或者   注册一个会员帐号 来参与讨论

更多
2008年07月01日 21:36 #7 作者: canggeng
    俺听一个朋友说有个叫joomla的东东可以发布网站,而且不会编程也能弄,俺特别菜,于是就准备用这种东东。学了3天,把基础模板弄明白了点点,还不是很会操作。但是性急,就开始装了论坛,弄了几个都不是很好用。最后看见有人说fireboard好用,俺也就跟着用了。结果发现是英文的,无法用中文。弄了语言包也是不行,极度郁闷。从本站下载了个中文版,结果还是英文。没办法,只有自己找了。我用的是joomla的1.5,先声明。
    俺先用'lang'这个关键词在administrator\components\com_fireboard中一个文件一个文件的查找,我发现很多文件都用了mosConfig_lang这个全局变量。我想论坛语言可能都是由这个变量来定义的,如果由此变量定义,那一定会赋值,于是我使用dreamweaver在全站搜索mosConfig_lang这个变量,我在plugins\system\legacy.php中看到了对该变量的赋值操作,$GLOBALS          = $lang->getBackwardLang();(提示:在Joomla 1.5版中,为了使用为1.0开发的组件,我启用了legacy插件,1.5自带插件)。
    找到赋值后,我用最土的办法进行了修改。
    //$GLOBALS          = $lang->getBackwardLang();
  $GLOBALS          ='simplified_chinese';
  保存legacy.php文件后,我退出后台,然后重新登陆。再次点击fireboard组件时,已经是中文了。高兴,但也害怕,因为看到楼上说前后台语言不一致的问题,我赶紧登陆前台,发现也是中文,这才心落地,然后给他报个信,收工,bye。
    我是个菜鸟,运气好,找到了这个变量,不多说了。

登录 或者   注册一个会员帐号 来参与讨论

更多
2008年07月01日 21:53 #8 作者: Joomla之门
楼上的办法是正确的!非常感谢你的分享!

不过,很快就有 FireBoard 1.1.0 for Joomla! 1.5 发布了。到时候应该不用这么麻烦了。

我还是建议大家尽量不要用 Joomla! 1.5 的 Legacy 模式。尽量选择 Joomla! Native 的扩展。

付费下载 Joomla 3 扩展汉化版: 我要付费支持 Joomla 之门!

登录 或者   注册一个会员帐号 来参与讨论